commit:     fc7f727ef0f165f41eff5a3b0b31f503f835eccb
Author:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
AuthorDate: Sun Mar  3 19:51:43 2019 +0000
Commit:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
CommitDate: Sun Mar  3 21:07:36 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=fc7f727e

media-libs/libglvnd: Version bump to 1.1.0.20190213

Signed-off-by: Matt Turner <mattst88 <AT> gentoo.org>

 media-libs/libglvnd/Manifest                       |  1 +
 media-libs/libglvnd/libglvnd-1.1.0.20190213.ebuild | 58 ++++++++++++++++++++++
 2 files changed, 59 insertions(+)

diff --git a/media-libs/libglvnd/Manifest b/media-libs/libglvnd/Manifest
index c47bf92a2f1..7feca18efd4 100644
--- a/media-libs/libglvnd/Manifest
+++ b/media-libs/libglvnd/Manifest
@@ -1 +1,2 @@
 DIST libglvnd-1.0.0.20180524.tar.gz 796997 BLAKE2B 
75c50d2eb864b84e97af5b5f0c9bfde2651436acbad323312ca8b88df8cfa4dd170a743748e8c2269f39d9cb492d6ffaabd66a76ffca3062be2462adca4c79cd
 SHA512 
3e49e4647b50f04dd534282b2f7ae76d84ea3dcd071771492a6560ae327d6167fcd071d32c447af097e68d84e6560d6b2c2b00d1409664e8b6a628b49ccdbdad
+DIST libglvnd-1.1.0.20190213.tar.gz 829094 BLAKE2B 
cf977846693a5de3485e23fe8b4c8e2bc0472d994dc85530ecd85c685d71abd7aa69e815292141f60fd69a299cf39ac16dda5822128295747bfd42db3408df66
 SHA512 
772445cbb5574c1900109b3e0d8aab442b8c8d9790c4d91e1400fccdff4a53b653b59120e4fb631a45fc47af02949288924e62a22c3d877d4f741d5596736e37

diff --git a/media-libs/libglvnd/libglvnd-1.1.0.20190213.ebuild 
b/media-libs/libglvnd/libglvnd-1.1.0.20190213.ebuild
new file mode 100644
index 00000000000..c1e812ba70b
--- /dev/null
+++ b/media-libs/libglvnd/libglvnd-1.1.0.20190213.ebuild
@@ -0,0 +1,58 @@
+# Copyright 2018-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+EGIT_REPO_URI="https://github.com/NVIDIA/${PN}.git";
+
+if [[ ${PV} = 9999* ]]; then
+       GIT_ECLASS="git-r3"
+fi
+
+PYTHON_COMPAT=( python2_7 )
+inherit autotools ${GIT_ECLASS} multilib-minimal python-any-r1
+
+DESCRIPTION="The GL Vendor-Neutral Dispatch library"
+HOMEPAGE="https://github.com/NVIDIA/libglvnd";
+if [[ ${PV} = 9999* ]]; then
+       SRC_URI=""
+else
+       KEYWORDS="~amd64"
+       COMMIT="f92208be88dd06a70b6f79a1cb95571e2762a9ec"
+       SRC_URI="https://github.com/NVIDIA/${PN}/archive/${COMMIT}.tar.gz -> 
${P}.tar.gz"
+       S=${WORKDIR}/${PN}-${COMMIT}
+fi
+
+LICENSE="MIT"
+SLOT="0"
+IUSE=""
+
+RDEPEND="
+       !media-libs/mesa[-libglvnd(-)]
+       x11-libs/libX11[${MULTILIB_USEDEP}]
+       "
+DEPEND="${PYTHON_DEPS}
+       ${RDEPEND}"
+
+src_unpack() {
+       default
+       [[ $PV = 9999* ]] && git-r3_src_unpack
+}
+
+src_prepare() {
+       default
+       eautoreconf
+}
+
+multilib_src_configure() {
+       ECONF_SOURCE=${S} econf
+}
+
+multilib_src_install() {
+       default
+       find "${D}" -name '*.la' -delete || die
+}
+
+multilib_src_test() {
+       emake check
+}

Reply via email to